using System;

namespace prviKrugPrvi
{
    class Program
    {
        static void Main(string[] args)
        {
            string slova = Console.ReadLine();
            string[] kolicina = Console.ReadLine().Split();

            string c1 = slova[0].ToString();
            string c2 = slova[1].ToString();

            int a1 = Convert.ToInt32(kolicina[0]);
            int a2 = Convert.ToInt32(kolicina[1]);

            string kraj = "";

            int r = a1 - a2;

            if (r <= 1 && r >= -1)
            {
                for (int i = 0; i < (a1 + a2) / 2; i++)
                {
                    kraj += c1 + c2;
                }
                if (a1 > a2)
                {
                    kraj += c1;
                }
                else if (a1 < a2)
                {
                    string temp = kraj;
                    kraj = c2 + temp;
                }
            }
            if (kraj != "") 
            { 
                Console.WriteLine(kraj); 
            }
            else 
            { 
                Console.WriteLine("nemoguce"); 
            }
        }
    }
}